extends RigidBody3D

func _ready() -> void:
	body_entered.connect(_on_body_entered)

func _on_body_entered(body: PhysicsBody3D) -> void:
	if body is Character:
		if body.interact_impetus:
			body.pick_up(self)
